#
# Josh Lifton and Michael Broxton
# MIT Media Lab
# Copyright (c) 2002-2004. All rights reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining
# a copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Software, and to
# permit persons to whom the Software is furnished to do so, subject to
# the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
# CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
# TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#

#----------------------------------------------------------------------------
# Name:         PanelTemplate.py
# Purpose:      A template panel for the wxNotebook portion of the Pushpin
#               debugger GUI.  The main gui creates a panel of this type using
#               the runPanel() method in this class.  
#
# Author:       Michael Broxton and Josh Lifton
#
# Created:      A long time ago, in a galaxy far, far away...
# Copyright:    (c) 2004 by MIT Media Laboratory
#----------------------------------------------------------------------------

from wxPython.wx import *

class PanelTemplate (wxPanel):
    def __init__(self, parent, controller, menubar): 
        self.parent = parent
        self.controller = controller
        self.menubar = menubar
        wxPanel.__init__(self, parent)


    #
    # This routine is called when this notebook panel becomes active.
    #
    def OnActivate(self):
        pass

    #
    # This routine is called when this notebook panel becomes inactive.
    #
    def OnDeactivate(self):
        pass


    #
    # This routine is used to determine what string should be used to label
    # this notebook tab.
    #
    def Name(self):
        return "Template"

#
# The entry method for this python script.  Must return
# an instance that is a child of the wxPanel class.
#

def runPanel (parent, controller, menubar):
    return PanelTemplate(parent, controller, menubar)

        
